com.holonplatform.vaadin.flow.navigator

## Interface NavigationLink.Builder

- All Superinterfaces:
    ComponentConfigurator<NavigationLink.Builder>, DeferrableLocalizationConfigurator<NavigationLink.Builder>, HasDeferrableLocalization, HasElementConfigurator<NavigationLink.Builder>, HasEnabledConfigurator<NavigationLink.Builder>, HasSizeConfigurator<NavigationLink.Builder>, HasStyleConfigurator<NavigationLink.Builder>, HasTextConfigurator<NavigationLink.Builder>, NavigationURLBuilder<NavigationLink.Builder>, Serializable
  All Known Implementing Classes:
    DefaultNavigationLink.DefaultBuilder
  Enclosing interface:
    NavigationLink

      public static interface NavigationLink.Builder
      extends ComponentConfigurator<NavigationLink.Builder>, HasTextConfigurator<NavigationLink.Builder>, HasStyleConfigurator<NavigationLink.Builder>, HasSizeConfigurator<NavigationLink.Builder>, HasEnabledConfigurator<NavigationLink.Builder>, NavigationURLBuilder<NavigationLink.Builder>, DeferrableLocalizationConfigurator<NavigationLink.Builder>

  `NavigationLink` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `HasTextConfigurator.BaseHasTextConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NavigationLink` | `build()` Build the `NavigationLink`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTextConfigurator

      `create, create, text, text, text`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.navigator.NavigationURLBuilder

      `encodeQueryParameters, withPathParameter, withQueryParameter, withQueryParameter`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### build

          NavigationLink build()

      Build the `NavigationLink`.
      Returns:
        A new `NavigationLink` instance

Copyright © 2019 The Holon Platform. All rights reserved.